Results 1 to 2 of 2

Thread: after I updated my Leap

  1. #1
    Join Date
    Apr 2011
    Location
    loading ...
    Posts
    53

    Default after I updated my Leap

    actually I was trying to get help from muy hispanic forum: http://www.forosuse.org/forosuse/sho...275#post200275

    ok this is what I have done on my leap instalation:

    Code:
    sudo zypper up
    ok this are my repos

    Code:
     >$ ~ zypper ls#  | Alias                               | Nombre                                  | Habilitado | Comprobación GPG | Actualizar | Tipo  
    ---+-------------------------------------+-----------------------------------------+------------+------------------+------------+-------
    1  | google-chrome                       | google-chrome                           | Si         | (r ) Si          | Si         | rpm-md
    2  | http-download.opensuse.org-50454381 | openSUSE:Leap:42.3                      | Si         | (r ) Si          | Si         | yast2 
    3  | http-download.opensuse.org-71561773 | openSUSE:Factory                        | Si         | (r ) Si          | Si         | rpm-md
    4  | http-download.opensuse.org-84520ff8 | isv:ownCloud:desktop                    | Si         | (r ) Si          | Si         | rpm-md
    5  | http-download.opensuse.org-dab3bc2f | home:beyerle:IAC                        | Si         | (r ) Si          | Si         | rpm-md
    6  | openSUSE-Leap-15.0-1                | openSUSE-Leap-15.0-1                    | No         | ----             | ----       | rpm-md
    7  | packman-essentials                  | packman-essentials                      | Si         | (r ) Si          | Si         | rpm-md
    8  | repo-debug                          | openSUSE-Leap-15.0-Debug                | No         | ----             | ----       | NONE  
    9  | repo-debug-non-oss                  | openSUSE-Leap-15.0-Debug-Non-Oss        | No         | ----             | ----       | NONE  
    10 | repo-debug-update                   | openSUSE-Leap-15.0-Update-Debug         | No         | ----             | ----       | NONE  
    11 | repo-debug-update-non-oss           | openSUSE-Leap-15.0-Update-Debug-Non-Oss | No         | ----             | ----       | NONE  
    12 | repo-non-oss                        | openSUSE-Leap-15.0-Non-Oss              | Si         | (r ) Si          | Si         | rpm-md
    13 | repo-oss                            | openSUSE-Leap-15.0-Oss                  | Si         | (r ) Si          | Si         | rpm-md
    14 | repo-source                         | openSUSE-Leap-15.0-Source               | No         | ----             | ----       | NONE  
    15 | repo-source-non-oss                 | openSUSE-Leap-15.0-Source-Non-Oss       | No         | ----             | ----       | NONE  
    16 | repo-update                         | openSUSE-Leap-15.0-Update               | Si         | (r ) Si          | Si         | rpm-md
    17 | repo-update-non-oss                 | openSUSE-Leap-15.0-Update-Non-Oss       | Si         | (r ) Si          | Si         | rpm-md
    18 | snappy                              | snappy                                  | Si         | (r ) Si          | Si         | rpm-md
    19 | vpn                                 | vpn                                     | Si         | (r ) Si          | No         | rpm-md
    I get this!

    Code:
    >$ ~ cat /etc/os-release 
    NAME="openSUSE Tumbleweed"
    # VERSION="20180812"
    ID="opensuse-tumbleweed"
    ID_LIKE="opensuse suse"
    VERSION_ID="20180812"
    PRETTY_NAME="openSUSE Tumbleweed"
    ANSI_COLOR="0;32"
    CPE_NAME="cpe:/o:opensuse:tumbleweed:20180812"
    BUG_REPORT_URL="https://bugs.opensuse.org"
    HOME_URL="https://www.opensuse.org/"
    >$ ~
    why? OK this thing is yast or zypper is not working anymore:

    Code:
    >$ ~ sudo zypper up
    [sudo] password for root: 
    zypper: symbol lookup error: /usr/lib64/libproxy.so.1: undefined symbol: _ZN9libmodman14module_manager8load_dirENSt7__cxx1112basic_stringIcSt11char_traitsIcESaIcEEEb
    Can anyone help me?
    Last edited by maniat1k; 13-Aug-2018 at 10:11. Reason: extra details

  2. #2
    Join Date
    Dec 2008
    Location
    FL, USA
    Posts
    1,645

    Default Re: after I updated my Leap

    I won't profess to know how or why a mere zypper up could have caused installation of packages from Factory/Tumbleweed, but that line 3 repo item has no business being there. That line 2 item also does not belong. This looks like a job for a snapper rollback if your root partition is BTRFS. If it isn't, then an offline rescue installation from original 15.0 media would be the route to try. zypper: symbol lookup error: /usr/lib64/libproxy.so.1: undefined symbol: is a very serious error indicating package management is very broken.
    Reg. Linux User #211409 *** multibooting since 1992
    Primary: 42.3,TW,15.0 & 13.1 on Haswell w/ RAID
    Secondary: eComStation (OS/2)&42.3 on 965P/Radeon
    Tertiary: TW,15.0,42.3,Fedora,Debian,more on Kaby Lake,Q45,Q43,G41,G3X,965G,Cedar,Caicos,Oland,GT218&&&

Tags for this Thread

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •